Debian Bug report logs - #305523
Customizations to *.html.tmpl are lost during upgrade

version graph

Package: bugzilla; Maintainer for bugzilla is Raphael Bossek <bossekr@debian.org>;

Reported by: Graham Knap <graham.knap@rogers.com>

Date: Wed, 20 Apr 2005 14:48:13 UTC

Severity: normal

Found in versions 2.18-3, 2.18-5

Done: Alexis Sukrieh <sukria@sukria.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rémi Perrot <rperrot@debian.org>:
Bug#305523; Package bugzilla. Full text and rfc822 format available.

Acknowledgement sent to Graham Knap <graham.knap@rogers.com>:
New Bug report received and forwarded. Copy sent to Rémi Perrot <rperrot@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Graham Knap <graham.knap@rogers.com>
To: submit@bugs.debian.org
Subject: Customizations to *.html.tmpl are lost during upgrade
Date: Wed, 20 Apr 2005 10:16:45 -0400 (EDT)
Package: bugzilla
Version: 2.18-3

At work, we're considering changing bug tracking systems, so I've set
up a Debian box with Bugzilla, so that we can evaluate this option.

I had version 2.18-2 installed from Experimental, and I had made some
small customizations to some of the *.html.tmpl files in
/usr/share/bugzilla/template/en/default

Today I upgraded to 2.18-3 and found that my customizations had been
silently lost. This isn't a big deal because I hadn't done much work on
it yet... but obviously data loss is a pretty serious problem.

Could these files be handled the way most configuration files are
handled in Debian? Even better, would it be possible to upgrade these
files using a 3 way merge?

Thanks

-- graham



Information forwarded to debian-bugs-dist@lists.debian.org, Rémi Perrot <rperrot@debian.org>:
Bug#305523; Package bugzilla. Full text and rfc822 format available.

Acknowledgement sent to David Caldwell <david@indigita.com>:
Extra info received and forwarded to list. Copy sent to Rémi Perrot <rperrot@debian.org>. Full text and rfc822 format available.

Message #10 received at 305523@bugs.debian.org (full text, mbox):

From: David Caldwell <david@indigita.com>
To: Debian Bug Tracking System <305523@bugs.debian.org>
Subject: bugzilla: Missing symbolic link causes custom templates to fail
Date: Wed, 27 Apr 2005 23:03:01 -0700
Package: bugzilla
Version: 2.18-5
Severity: normal
Followup-For: Bug #305523

Hello,

   I noticed after upgrading that my custom banner template didn't
work. I tracked it down and fixed the problem by running:

ln -s /var/lib/bugzilla/template/en/custom /usr/share/bugzilla/template/en/

Seems like that link is missing from the package.

-David

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686-smp
Locale: LANG=C, LC_CTYPE=C

Versions of packages bugzilla depends on:
ii  apache [httpd]           1.3.33-3        versatile, high-performance HTTP s
ii  apache-ssl [httpd]       1.3.33-3        versatile, high-performance HTTP s
ii  debconf                  1.4.30.11       Debian configuration management sy
ii  libappconfig-perl        1.52-8          Perl module for configuration file
ii  libdbd-mysql-perl        2.9003-2        A Perl5 database interface to the 
ii  libtemplate-perl         2.10-1          template processing system written
ii  libtimedate-perl         1.1600-2        Time and date functions for Perl
hi  sendmail [mail-transport 8.12.11.Final-3 A powerful, efficient, and scalabl
pi  wn [httpd]               2.2.9-2         Secure and efficient http server w

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Rémi Perrot <rperrot@debian.org>:
Bug#305523; Package bugzilla. Full text and rfc822 format available.

Acknowledgement sent to Alexis Sukrieh <sukria@sukria.net>:
Extra info received and forwarded to list. Copy sent to Rémi Perrot <rperrot@debian.org>. Full text and rfc822 format available.

Message #15 received at 305523@bugs.debian.org (full text, mbox):

From: Alexis Sukrieh <sukria@sukria.net>
To: David Caldwell <david@indigita.com>, 305523@bugs.debian.org
Subject: Re: Bug#305523: bugzilla: Missing symbolic link causes custom templates to fail
Date: Thu, 28 Apr 2005 10:55:35 +0200
> I noticed after upgrading that my custom banner template didn't
> work. I tracked it down and fixed the problem by running:
>
> ln -s /var/lib/bugzilla/template/en/custom 
usr/share/bugzilla/template/en/
>
> Seems like that link is missing from the package.

In fact, that's more a documentation problem, the templates lecation has 
moved in 2.18 package.

/var/lib/bugzilla is a deprecated location, everything is now located 
under /usr/share/bugzilla/, thus the location of the templates.

I may add an upgrade mecanism when upgrading from 2.16 -> 2.18 in order 
to move the templates.

I should also add a debconf note about this...

The "template" issue is a complex one, another bug report asks for the 
tmeplates to be under /etc/bugzilla as conffiles...

I didn't yet decided what to do with templates, any ideas are welcome.

-- 
Alexis Sukrieh <sukria@sukria.net>



Information forwarded to debian-bugs-dist@lists.debian.org, Rémi Perrot <rperrot@debian.org>:
Bug#305523; Package bugzilla. Full text and rfc822 format available.

Acknowledgement sent to David Caldwell <david@indigita.com>:
Extra info received and forwarded to list. Copy sent to Rémi Perrot <rperrot@debian.org>. Full text and rfc822 format available.

Message #20 received at 305523@bugs.debian.org (full text, mbox):

From: David Caldwell <david@indigita.com>
To: Alexis Sukrieh <sukria@sukria.net>, 305523@bugs.debian.org
Subject: Re: Bug#305523: bugzilla: Missing symbolic link causes custom templates to fail
Date: Thu, 28 Apr 2005 02:49:23 -0700
On 4/28/05 10:55 AM +0200 Alexis Sukrieh wrote:

> In fact, that's more a documentation problem, the templates lecation has
> moved in 2.18 package.
>
> /var/lib/bugzilla is a deprecated location, everything is now located
> under /usr/share/bugzilla/, thus the location of the templates.

I think keeping them in /usr/share/bugzilla isn't good because /usr is 
supposed to be "/usr is shareable, read-only data" [1].

> I may add an upgrade mecanism when upgrading from 2.16 -> 2.18 in order
> to move the templates.

At first I was thinking that having an upgrade script to move them to the 
new location would be a good idea. But when I finally figured out how to 
get my old templates to be seen, they ended up breaking bugzilla because 
they were old and the embedded directives in them didn't work anymore. None 
of the pages would render until I brought them up to date. Since I had to 
re-do them anyway it wouldn't have helped if they were moved automatically 
(in fact it would have broken my install immediately). So maybe, like you 
said, it's really a documentation problem.

> The "template" issue is a complex one, another bug report asks for the
> tmeplates to be under /etc/bugzilla as conffiles...

Putting them in /etc/bugzilla is a decent idea, but I'm not sure they 
should be conffiles because they don't act the same as a normal conf file. 
The files that come with the package sit in /usr/share/bugzilla/ and the 
/etc (or /var) versions only spring into existence when you need to modify 
them. Since the package doesn't install or update them they don't seem like 
they should be conf files.

-David

ps. Other than the templates, everything upgraded beautifully. I'm very 
happy that we finally have the 2.18 version installed! Thanks for your work 
on the package.

[1] <http://www.pathname.com/fhs/pub/fhs-2.3.html#THEUSRHIERARCHY>




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#305523; Package bugzilla. Full text and rfc822 format available.

Acknowledgement sent to Alexis Sukrieh <sukria@sukria.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 305523@bugs.debian.org (full text, mbox):

From: Alexis Sukrieh <sukria@sukria.net>
To: 305523@bugs.debian.org, 305523-submitter@bugs.debian.org, 305523-done@bugs.debian.org
Subject: [bugzilla #305523] bug closed
Date: Tue, 13 Sep 2005 10:13:42 +0200
Hello,

I close this bug because it is cleary explained in the README.Debian
that for customizing templates, you have to manually copy them and then
edit the new ones:

    To customize template you have to copy the template you want to
    change in /var/lib/bugzilla/template/en/custom and change it there. 
    Trouble is that if an upgrade change the original template you will 
    be not informed.

Regards.

-- 

 - Alexis Sukrieh 




Reply sent to Alexis Sukrieh <sukria@sukria.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Graham Knap <graham.knap@rogers.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message sent on to Graham Knap <graham.knap@rogers.com>:
Bug#305523. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:19:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:27:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.